VIPW(8)

NAZWA
vipw, vigr - edytuj plik haseł, grup lub ich wersji chronionych

STRESZCZENIE

vipw [opcje]

vigr [opcje]

OPIS

Polecenia vipw i vigr umożliwiają modyfikację plików odpowiednio /etc/passwd i /etc/group. Przy zastosowaniu flagi -s modyfikują także dodatkowe wersje chronione tych plików - odpowiednio /etc/shadow i /etc/gshadow. Dla ochrony przed uszkodzeniem w trakcie modyfikacji tych plików programy te ustawiają odpowiednie blokady. Szukając edytora programy te używają w pierwszej kolejności zmiennej środowiska $VISUAL, a następnie $EDITOR, a na końcu a na końcu domyślnego edytora vi(1).

OPCJE

Polecenia vipw i vigr posiadają następujące opcje:Polecenia vipw i vigr posiadają następujące opcje:

-g, --group
    Edycja bazy grup.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-p, --passwd
    Edycja bazy passwd.

-q, --quiet
    Cichy tryb pracy.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shadow
    Edycja bazy shadow lub gshadow.

ENVIRONMENT

VISUAL
    Editor to be used.

EDITOR
    Editor to be used if VISUAL is not set.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shadow
    Informacje chronione o użytkownikach.

ZOBACZ TAKŻE

vi(1), group(5), gshadow(5) , passwd(5), , shadow(5).